
from pydantic import BaseModel


class Token(BaseModel):
    """Token schema for API responses."""

    access_token: str
    token_type: str


class TokenPayload(BaseModel):
    """Token payload schema for JWT tokens."""

    sub: int | None = None
